Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QAccessibleEvent

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QEvent
                  com.trolltech.qt.gui.QAccessibleEvent

All Implemented Interfaces:
  QtJambiInterface

    public class QAccessibleEvent

extends QEvent

The `QAccessibleEvent` class is used to query addition accessibility information about complex widgets. The event can be of type `QEvent::AccessibilityDescription` or `QEvent::AccessibilityHelp` .

Some `QAccessibleInterface` implementations send `QAccessibleEvents` to the widget they wrap to obtain the description or help text of a widget or of its children. The widget can answer by calling `setValue()` with the requested information.

The default `QWidget::event()` implementation simply sets the text to be the widget's `tooltip` (for `AccessibilityDescription` event) or its `"What's This?" text` (for `AccessibilityHelp` event).

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.core.QEvent
`QEvent.Type`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QAccessibleEvent(QEvent.Type type, int child)` Constructs an accessibility event of the given `type`, which must be `QEvent::AccessibilityDescription` or `QEvent::AccessibilityHelp` .

Method Summary
`int` | `child()` Returns the (1-based) index of the child to which the request applies.
`static QAccessibleEvent` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QAccessibleEvent instance pointed to by `nativePointer`.
`void` | `setValue(java.lang.String aText)` Set the description or help text for the given `child()` to `text`, thereby answering the request.
`java.lang.String` | `toString()` Returns a string representation of the `this QAccessibleEvent`.
`java.lang.String` | `value()` Returns the text set using `setValue()`.

Methods inherited from class com.trolltech.qt.core.QEvent
`accept, ignore, isAccepted, registerEventType, registerEventType, setAccepted, setT, spontaneous, t, type`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QAccessibleEvent

    public QAccessibleEvent(QEvent.Type type,
                            int child)

  Constructs an accessibility event of the given `type`, which must be `QEvent::AccessibilityDescription` or `QEvent::AccessibilityHelp` .

  `child` is the (1-based) index of the child to which the request applies. If `child` is 0, the request is for the widget itself.

See also:
  `child()`.

Method Detail

### child

    public final int child()

  Returns the (1-based) index of the child to which the request applies. If the child is 0, the request is for the widget itself.

### setValue

    public final void setValue(java.lang.String aText)

  Set the description or help text for the given `child()` to `text`, thereby answering the request.

See also:
  `value()`.

### value

    public final java.lang.String value()

  Returns the text set using `setValue()`.

See also:
  `setValue()`.

### fromNativePointer

    public static QAccessibleEvent fromNativePointer(QNativePointer nativePointer)

  This method returns the QAccessibleEvent instance pointed to by `nativePointer`.

### toString

    public java.lang.String toString()

  Returns a string representation of the `this QAccessibleEvent`.

  Overrides:
    `toString` in class `QEvent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD